Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class AbstractContainerDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractContainerDefinition

All Implemented Interfaces:
  ContainerDefinition, org.apache.cocoon.util.location.Locatable, WidgetDefinition

Direct Known Subclasses:
  ClassDefinition, FormDefinition, GroupDefinition, RepeaterDefinition, UnionDefinition

public abstract class AbstractContainerDefinition
extends AbstractWidgetDefinition
implements ContainerDefinition

The `AbstractContainerDefinition` corresponding to an `AbstractContainerWidget`.

Version:
  $Id: AbstractContainerDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected WidgetDefinitionList` | `definitions`

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`AbstractContainerDefinition()`

Method Summary
`void` | `addWidgetDefinition(WidgetDefinition definition)` Adds a (sub) widget definition to this definition.
`void` | `checkCompleteness()` checks completeness of this definition
`void` | `createWidget(Widget parent, String id)` Create a widget from a contained widget definition.
`void` | `createWidgets(Widget parent)` Create widgets from the contained widget definitions.
`WidgetDefinition` | `getWidgetDefinition(String id)` Gets a (sub) widget definition from this definition.
`Collection` | `getWidgetDefinitions()` Gets the collection of (sub) widget definition from this definition.
`boolean` | `hasWidget(String id)` Check if this definition contains the named definition.
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`void` | `resolve(List parents, WidgetDefinition parent)` Resolve references to widget definition classes

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinition
`createInstance, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, setEnclosingLibrary, setParent, validate`

Field Detail

### definitions

    protected WidgetDefinitionList definitions

Constructor Detail

### AbstractContainerDefinition

    public AbstractContainerDefinition()

Method Detail

### createWidget

    public void createWidget(Widget parent,
                             String id)

  Description copied from interface: `ContainerDefinition`
  Create a widget from a contained widget definition.

  Specified by:
    `createWidget` in interface `ContainerDefinition`

### createWidgets

    public void createWidgets(Widget parent)

  Description copied from interface: `ContainerDefinition`
  Create widgets from the contained widget definitions.

  Specified by:
    `createWidgets` in interface `ContainerDefinition`

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractWidgetDefinition`
  Throws:
    `Exception`

### checkCompleteness

    public void checkCompleteness()
                           throws IncompletenessException

  checks completeness of this definition

  Specified by:
    `checkCompleteness` in interface `WidgetDefinition`
  Overrides:
    `checkCompleteness` in class `AbstractWidgetDefinition`
  Throws:
    `IncompletenessException`

### addWidgetDefinition

    public void addWidgetDefinition(WidgetDefinition definition)
                             throws Exception,
                                    DuplicateIdException

  Description copied from interface: `ContainerDefinition`
  Adds a (sub) widget definition to this definition.

  Specified by:
    `addWidgetDefinition` in interface `ContainerDefinition`
  Throws:
    `Exception`
    `DuplicateIdException`

### resolve

    public void resolve(List parents,
                        WidgetDefinition parent)
                 throws Exception

  Description copied from interface: `ContainerDefinition`
  Resolve references to widget definition classes

  Specified by:
    `resolve` in interface `ContainerDefinition`
  Throws:
    `Exception`

### hasWidget

    public boolean hasWidget(String id)

  Description copied from interface: `ContainerDefinition`
  Check if this definition contains the named definition.

  Specified by:
    `hasWidget` in interface `ContainerDefinition`

### getWidgetDefinition

    public WidgetDefinition getWidgetDefinition(String id)

  Description copied from interface: `ContainerDefinition`
  Gets a (sub) widget definition from this definition.

  Specified by:
    `getWidgetDefinition` in interface `ContainerDefinition`

### getWidgetDefinitions

    public Collection getWidgetDefinitions()

  Description copied from interface: `ContainerDefinition`
  Gets the collection of (sub) widget definition from this definition.

  Specified by:
    `getWidgetDefinitions` in interface `ContainerDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.